--Copyright 1986-2017 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2017.4 (win64) Build 2086221 Fri Dec 15 20:55:39 MST 2017
--Date        : Tue Jan 30 09:23:06 2018
--Host        : vinay-hdl running 64-bit Service Pack 1  (build 7601)
--Command     : generate_target fifos_wrapper.bd
--Design      : fifos_wrapper
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity fifos_wrapper is
  port (
    fifo_to_fx3_empty : out STD_LOGIC;
    fifo_to_fx3_rd_data : out STD_LOGIC_VECTOR ( 31 downto 0 );
    fifo_to_fx3_rd_en : in STD_LOGIC;
    fifo_to_user_dvalid : out STD_LOGIC;
    fifo_to_user_empty : out STD_LOGIC;
    fifo_to_user_rd_data : out STD_LOGIC_VECTOR ( 31 downto 0 );
    fifo_to_user_rd_en : in STD_LOGIC;
    fx3_pclk : out STD_LOGIC;
    fx3_to_fifo_full : out STD_LOGIC;
    fx3_to_fifo_wr_data : in STD_LOGIC_VECTOR ( 31 downto 0 );
    fx3_to_fifo_wr_en : in STD_LOGIC;
    h2p_count : out STD_LOGIC_VECTOR ( 12 downto 0 );
    i_fx3_pclk : in STD_LOGIC;
    p2h_count : out STD_LOGIC_VECTOR ( 13 downto 0 );
    sys_clk : in STD_LOGIC;
    user_clk : out STD_LOGIC;
    user_to_fifo_almost_full : out STD_LOGIC;
    user_to_fifo_full : out STD_LOGIC;
    user_to_fifo_wr_data : in STD_LOGIC_VECTOR ( 31 downto 0 );
    user_to_fifo_wr_en : in STD_LOGIC
  );
end fifos_wrapper;

architecture STRUCTURE of fifos_wrapper is
  component fifos is
  port (
    fx3_to_fifo_full : out STD_LOGIC;
    fx3_to_fifo_wr_data : in STD_LOGIC_VECTOR ( 31 downto 0 );
    fx3_to_fifo_wr_en : in STD_LOGIC;
    fifo_to_user_empty : out STD_LOGIC;
    fifo_to_user_rd_data : out STD_LOGIC_VECTOR ( 31 downto 0 );
    fifo_to_user_rd_en : in STD_LOGIC;
    user_to_fifo_almost_full : out STD_LOGIC;
    user_to_fifo_full : out STD_LOGIC;
    user_to_fifo_wr_data : in STD_LOGIC_VECTOR ( 31 downto 0 );
    user_to_fifo_wr_en : in STD_LOGIC;
    fifo_to_fx3_empty : out STD_LOGIC;
    fifo_to_fx3_rd_data : out STD_LOGIC_VECTOR ( 31 downto 0 );
    fifo_to_fx3_rd_en : in STD_LOGIC;
    i_fx3_pclk : in STD_LOGIC;
    sys_clk : in STD_LOGIC;
    fx3_pclk : out STD_LOGIC;
    user_clk : out STD_LOGIC;
    p2h_count : out STD_LOGIC_VECTOR ( 13 downto 0 );
    h2p_count : out STD_LOGIC_VECTOR ( 12 downto 0 );
    fifo_to_user_dvalid : out STD_LOGIC
  );
  end component fifos;
begin
fifos_i: component fifos
     port map (
      fifo_to_fx3_empty => fifo_to_fx3_empty,
      fifo_to_fx3_rd_data(31 downto 0) => fifo_to_fx3_rd_data(31 downto 0),
      fifo_to_fx3_rd_en => fifo_to_fx3_rd_en,
      fifo_to_user_dvalid => fifo_to_user_dvalid,
      fifo_to_user_empty => fifo_to_user_empty,
      fifo_to_user_rd_data(31 downto 0) => fifo_to_user_rd_data(31 downto 0),
      fifo_to_user_rd_en => fifo_to_user_rd_en,
      fx3_pclk => fx3_pclk,
      fx3_to_fifo_full => fx3_to_fifo_full,
      fx3_to_fifo_wr_data(31 downto 0) => fx3_to_fifo_wr_data(31 downto 0),
      fx3_to_fifo_wr_en => fx3_to_fifo_wr_en,
      h2p_count(12 downto 0) => h2p_count(12 downto 0),
      i_fx3_pclk => i_fx3_pclk,
      p2h_count(13 downto 0) => p2h_count(13 downto 0),
      sys_clk => sys_clk,
      user_clk => user_clk,
      user_to_fifo_almost_full => user_to_fifo_almost_full,
      user_to_fifo_full => user_to_fifo_full,
      user_to_fifo_wr_data(31 downto 0) => user_to_fifo_wr_data(31 downto 0),
      user_to_fifo_wr_en => user_to_fifo_wr_en
    );
end STRUCTURE;
